# Interface LinkRelations<Ref, L>

interface LinkRelations<Ref, L> {
_applies: string[];
_namespaces: string[];
from: L;
in: Links<Ref, L>;
inByType: {
[id: string]: Links<Ref, L>;
};
ml?: MinilinkCollection<MinilinksGeneratorOptions, L>;
out: Links<Ref, L>;
outByType: {
[id: string]: Links<Ref, L>;
};
to: L;
type: L;
typed: Links<Ref, L>;
value?: any;
}

#### Type Parameters

- Ref extends Id
- L extends Link<Ref>

#### Hierarchy (view full)

- LinkRelations
  - Link

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:42

#####
Index

### Properties

_applies
_namespaces
from
in
inByType
ml?
out
outByType
to
type
typed
value?

##
Properties

### _applies

_applies: string[]

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:52

### _namespaces

_namespaces: string[]

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:53

### from

from: L

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:49

### in

in: Links<Ref, L>

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:45

### inByType

inByType: {
[id: string]: Links<Ref, L>;
}

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:46

### `Optional` ml

ml?: MinilinkCollection<MinilinksGeneratorOptions, L>

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:54

### out

out: Links<Ref, L>

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:47

### outByType

outByType: {
[id: string]: Links<Ref, L>;
}

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:48

### to

to: L

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:50

### type

type: L

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:44

### typed

typed: Links<Ref, L>

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:43

### `Optional` value

value?: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:51